## net.sf.saxon.dom
Class DOMNodeList

    java.lang.Object
      |
      +--net.sf.saxon.dom.DOMNodeList

All Implemented Interfaces:
  org.w3c.dom.NodeList

public final class DOMNodeList
extends java.lang.Object
implements org.w3c.dom.NodeList

This class wraps a SequenceExtent as a DOM NodeList - though this will only work if the items are nodes, and if the nodes themselves implement the DOM Node interface (which is true of the two Saxon tree models, but not necessarily of all possible implementations).

Constructor Summary
`DOMNodeList(SequenceExtent extent)` Construct an node list that wraps a supplied SequenceExtent.

Method Summary
`static DOMNodeList` `checkAndMake(SequenceExtent extent)` Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are DOM Nodes
`int` `getLength()` return the number of nodes in the list (DOM method)
`org.w3c.dom.Node` `item(int index)` Return the n'th item in the list (DOM method)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMNodeList

    public DOMNodeList(SequenceExtent extent)

  Construct an node list that wraps a supplied SequenceExtent. This constructor does not check that the items in the supplied SequenceExtent are indeed DOM Nodes.

Method Detail

### checkAndMake

    public static DOMNodeList checkAndMake(SequenceExtent extent)
                                    throws XPathException

  Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are DOM Nodes

    `XPathException`

### getLength

    public int getLength()

  return the number of nodes in the list (DOM method)

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

### item

    public org.w3c.dom.Node item(int index)

  Return the n'th item in the list (DOM method)

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`
  Throws:
    `java.lang.ClassCastException` - if the item is not a DOM Node